Skip to content

Transaction Detail

| View as Markdown

This API to get transaction details of a specific transaction. We must pass merchant id, terminal id, unique id, and reference id : used to identify the specific transaction in request. If the request has valid details, we will get all the details like status code, amount, order id, mobile, invoice no etc in response.

https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/x-www-form-urlencodeds
ParameterType ValueDescriptionValue Like
mercid requiredString
(1-12)
Merchant Id71234
terminalid requiredString
(8)
It is device specific.One device have only one Terminal ID00008582
uniqueid requiredString
(4-12)
Unique ID is a unique identifier and have unique value4000411027
referenceid requiredStringReference ID is orderid4000411027
ParameterType ValueDescriptionValue Like
status requiredNumberStatus Code200
uniqueid requiredNumberUnique id of the transaction012686
mercid requiredNumberMerchant id71234
amount requiredNumberTransaction amount1.01
orderid requiredNumberTransaction order id000648
mobile requiredNumberMobile number used for the transaction9046207157
customvar requiredStringAny information passed in the request, which can be received in the response exactly as it was sent. We can pass multiple data in ‘CustomVar’ separated by the '' symbol.
posmode requiredNumberOne of the transaction modes in POS like Authorization,Sale Completion etc.01
invoiceno requiredNumberInvoice number01
editamount requiredNumberEdit amount can have values 0,1. 1- User can change the amount, 0-User would not be able to change the amount.1
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'terminalid=00008582' \
--data-urlencode 'mercid=71234' \
--data-urlencode 'uniqueid=000648'\
--data-urlencode 'referenceid=4000411027'
HTTP/1.1 200 OK
"200||012686|71234|1.01|000648|9046207157||01|||||1"
{
"status": 500,
"message": []
}